Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Default_ORT::ObjectReferenceTemplate Class Reference

`#include <Default_ORTC.h>`

Inheritance diagram for TAO_Default_ORT::ObjectReferenceTemplate:

[legend]
List of all members.

## Public Types
typedef ObjectReferenceTemplate_var | _var_type
## Public Methods
virtual const char * | _tao_obv_repository_id (void) const
## Static Public Methods
ObjectReferenceTemplate * | _downcast (CORBA::ValueBase *)
CORBA::Boolean | _tao_unmarshal (TAO_InputCDR &, ObjectReferenceTemplate *&)
const char * | _tao_obv_static_repository_id (void)
void | _tao_any_destructor (void *)
## Protected Methods
| ObjectReferenceTemplate (void)
virtual | ~ObjectReferenceTemplate (void)
virtual CORBA::Boolean | _tao_marshal_v (TAO_OutputCDR &)
virtual CORBA::Boolean | _tao_unmarshal_v (TAO_InputCDR &)
virtual CORBA::Boolean | _tao_marshal__TAO_Default_ORT_ObjectReferenceTemplate (TAO_OutputCDR &)=0
virtual CORBA::Boolean | _tao_unmarshal__TAO_Default_ORT_ObjectReferenceTemplate (TAO_InputCDR &)=0
## Private Methods
| ObjectReferenceTemplate (const ObjectReferenceTemplate &)
void | operator= (const ObjectReferenceTemplate &)

## Member Typedef Documentation

typedef ObjectReferenceTemplate_var TAO_Default_ORT::ObjectReferenceTemplate::_var_type

## Constructor & Destructor Documentation

ACE_INLINE TAO_Default_ORT::ObjectReferenceTemplate::ObjectReferenceTemplate | ( | void |  | ) | `[protected]`

| Reimplemented in OBV_TAO_Default_ORT::ObjectReferenceTemplate.

ACE_INLINE TAO_Default_ORT::ObjectReferenceTemplate::~ObjectReferenceTemplate | ( | void |  | ) | `[protected, virtual]`

| Reimplemented in OBV_TAO_Default_ORT::ObjectReferenceTemplate.

TAO_Default_ORT::ObjectReferenceTemplate::ObjectReferenceTemplate | ( | const ObjectReferenceTemplate & |  | ) | `[private]`

## Member Function Documentation

TAO_Default_ORT::ObjectReferenceTemplate * TAO_Default_ORT::ObjectReferenceTemplate::_downcast | ( | CORBA::ValueBase * |  | ) | `[static]`

void TAO_Default_ORT::ObjectReferenceTemplate::_tao_any_destructor | ( | void * |  | ) | `[static]`

virtual CORBA::Boolean TAO_Default_ORT::ObjectReferenceTemplate::_tao_marshal__TAO_Default_ORT_ObjectReferenceTemplate | ( | TAO_OutputCDR & |  | ) | `[protected, pure virtual]`

| Implemented in OBV_TAO_Default_ORT::ObjectReferenceTemplate.

CORBA::Boolean TAO_Default_ORT::ObjectReferenceTemplate::_tao_marshal_v | ( | TAO_OutputCDR & |  | ) | `[protected, virtual]`

const char * TAO_Default_ORT::ObjectReferenceTemplate::_tao_obv_repository_id | ( | void |  | ) | const`[virtual]`

ACE_INLINE const char * TAO_Default_ORT::ObjectReferenceTemplate::_tao_obv_static_repository_id | ( | void |  | ) | `[static]`

CORBA::Boolean TAO_Default_ORT::ObjectReferenceTemplate::_tao_unmarshal | ( | TAO_InputCDR & | ,
|  | ObjectReferenceTemplate *& |
| ) | `[static]`

virtual CORBA::Boolean TAO_Default_ORT::ObjectReferenceTemplate::_tao_unmarshal__TAO_Default_ORT_ObjectReferenceTemplate | ( | TAO_InputCDR & |  | ) | `[protected, pure virtual]`

| Implemented in OBV_TAO_Default_ORT::ObjectReferenceTemplate.

CORBA::Boolean TAO_Default_ORT::ObjectReferenceTemplate::_tao_unmarshal_v | ( | TAO_InputCDR & |  | ) | `[protected, virtual]`

void TAO_Default_ORT::ObjectReferenceTemplate::operator= | ( | const ObjectReferenceTemplate & |  | ) | `[private]`

The documentation for this class was generated from the following files:

- Default_ORTC.h
- Default_ORTC.cpp
- Default_ORTC.i